Skip to main content
PUT
/
projects
/
{project_id}
/
webhooks
/
{id}
Update webhook
curl --request PUT \
  --url https://api.beyondwords.io/v1/projects/{project_id}/webhooks/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "url": "https://new_example.com/"
}
'
{
  "id": 1,
  "url": "https://example.com/",
  "enabled": true,
  "use_static_ip": false,
  "headers": {
    "Authorization": "Bearer xxxxxx",
    "X-My-Custom-Header-Y": "yyyyyy",
    "X-My-Custom-Header-Z": "zzzzzz"
  },
  "created": "2022-01-02 23:59:59 UTC",
  "updated": "2022-03-04 00:00:00 UTC"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

id
string
required

id

Body

application/json
url
string
headers
object
enabled
boolean
use_static_ip
boolean

Response

200 - application/json

successful

id
integer

Unique identifier for the object

url
string

The URL that BeyondWords will send webhook notifications to. This URL must be served over HTTPS

headers
object
enabled
boolean

Whether or not the webhook is enabled or disabled Has the value true if enabled. The default is true.

use_static_ip
boolean

Whether requests to URL should originate from a static IP address.

created
string<date-time>

Time at which the object was created (ISO 8601)

updated
string<date-time>

Time at which the object was updated (ISO 8601)